org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.AddReplica

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest<CollectionAdminResponse>
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest
      - - org.apache.solr.client.solrj.request.CollectionAdminRequest.AddReplica

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    CollectionAdminRequest<T extends CollectionAdminResponse>

      public static class CollectionAdminRequest.AddReplica
      extends CollectionAdminRequest.AsyncCollectionAdminRequest

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

      `CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.AsyncCollectionAdminRequest, CollectionAdminRequest.AsyncCollectionSpecificAdminRequest, CollectionAdminRequest.AsyncShardSpecificAdminRequest, CollectionAdminRequest.Backup, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.CreateSnapshot, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteNode, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.DeleteSnapshot, CollectionAdminRequest.DeleteStatus, CollectionAdminRequest.ForceLeader, CollectionAdminRequest.List, CollectionAdminRequest.ListSnapshots, CollectionAdminRequest.Migrate, CollectionAdminRequest.MigrateClusterState, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.RebalanceLeaders, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.ReplaceNode, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.RequestStatusResponse, CollectionAdminRequest.Restore, CollectionAdminRequest.ShardSpecificAdminRequest, CollectionAdminRequest.SplitShard`

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `collection`
    `protected String` | `dataDir`
    `protected String` | `instanceDir`
    `protected String` | `node`
    `protected Properties` | `properties`
    `protected String` | `routeKey`
    `protected String` | `shard`

    - ### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

      `asyncId`

    - ### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

      `action`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddReplica()` Deprecated. Use `CollectionAdminRequest.addReplicaByRouteKey(String, String)` or `CollectionAdminRequest.addReplicaToShard(String, String)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDataDir()`
    `String` | `getInstanceDir()`
    `String` | `getNode()`
    `SolrParams` | `getParams()`
    `Properties` | `getProperties()`
    `String` | `getRouteKey()`
    `CollectionAdminRequest.AddReplica` | `setAsyncId(String id)` Deprecated.
    `CollectionAdminRequest.AddReplica` | `setCollectionName(String collection)` Deprecated.
    `CollectionAdminRequest.AddReplica` | `setDataDir(String dataDir)`
    `CollectionAdminRequest.AddReplica` | `setInstanceDir(String instanceDir)`
    `CollectionAdminRequest.AddReplica` | `setNode(String node)`
    `CollectionAdminRequest.AddReplica` | `setProperties(Properties properties)`
    `CollectionAdminRequest.AddReplica` | `setRouteKey(String routeKey)` Deprecated.
    `CollectionAdminRequest.AddReplica` | `setShardName(String shard)` Deprecated.

    - ### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.AsyncCollectionAdminRequest

      `createResponse, getAsyncId, processAndWait, processAndWait, processAsync, processAsync`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

      `addProperties, addReplicaByRouteKey, addReplicaProperty, addReplicaToShard, addRole, backupCollection, balanceReplicaProperty, createAlias, createCollection, createCollection, createCollectionWithImplicitRouter, createShard, deleteAlias, deleteAllAsyncIds, deleteAsyncId, deleteCollection, deleteReplica, deleteReplicaProperty, deleteReplicasFromAllShards, deleteReplicasFromShard, deleteShard, forceLeaderElection, getClusterStatus, getContentStreams, getOverseerStatus, listCollections, migrateCollectionFormat, migrateData, rebalanceLeaders, reloadCollection, removeRole, requestStatus, restoreCollection, setClusterProperty, splitShard, waitForAsyncRequest`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### collection

          protected String collection

    - #### shard

          protected String shard

    - #### node

          protected String node

    - #### routeKey

          protected String routeKey

    - #### instanceDir

          protected String instanceDir

    - #### dataDir

          protected String dataDir

    - #### properties

          protected Properties properties

  - ### Constructor Detail

    - #### AddReplica

          @Deprecated
          public AddReplica()

      Deprecated. Use `CollectionAdminRequest.addReplicaByRouteKey(String, String)` or `CollectionAdminRequest.addReplicaToShard(String, String)`

  - ### Method Detail

    - #### getProperties

          public Properties getProperties()

    - #### setProperties

          public CollectionAdminRequest.AddReplica setProperties(Properties properties)

    - #### getNode

          public String getNode()

    - #### setNode

          public CollectionAdminRequest.AddReplica setNode(String node)

    - #### getRouteKey

          public String getRouteKey()

    - #### setRouteKey

          @Deprecated
          public CollectionAdminRequest.AddReplica setRouteKey(String routeKey)

      Deprecated.

    - #### getInstanceDir

          public String getInstanceDir()

    - #### setInstanceDir

          public CollectionAdminRequest.AddReplica setInstanceDir(String instanceDir)

    - #### getDataDir

          public String getDataDir()

    - #### setDataDir

          public CollectionAdminRequest.AddReplica setDataDir(String dataDir)

    - #### setCollectionName

          @Deprecated
          public CollectionAdminRequest.AddReplica setCollectionName(String collection)

      Deprecated.

    - #### setShardName

          @Deprecated
          public CollectionAdminRequest.AddReplica setShardName(String shard)

      Deprecated.

    - #### setAsyncId

          @Deprecated
          public CollectionAdminRequest.AddReplica setAsyncId(String id)

      Deprecated.
      Overrides:
        `setAsyncId` in class `CollectionAdminRequest.AsyncCollectionAdminRequest`

    - #### getParams

          public SolrParams getParams()

      Overrides:
        `getParams` in class `CollectionAdminRequest.AsyncCollectionAdminRequest`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.